package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-03-05
 */
@Data
@NoArgsConstructor
public class DiagnosticMenuDTO implements Serializable {


    @ApiModelProperty(value = "客户端菜单主键")
    private Integer id;

    @ApiModelProperty(value = "菜单文件名")
    private String fileName;

    @ApiModelProperty(value = "菜单文件大小")
    private String fileSize;

    @ApiModelProperty(value = "菜单版本号")
    private String versionNum;

    @ApiModelProperty(value = "中文菜单")
    private String menuCn;

    @ApiModelProperty(value = "英文菜单")
    private String menuEn;

    @ApiModelProperty(value = "菜单保存路径")
    private String savePath;

    @ApiModelProperty(value = "客户端id集合")
    private List<Integer> clientIds;


}
