package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class UserLoginDTO {
    @ApiModelProperty()
    private String method;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "deviceToken")
    private String deviceToken;

    @ApiModelProperty(value = "新密码")
    private String rePassword;

    @ApiModelProperty(value = "客户端编号")
    private String clientNum;

    @ApiModelProperty(value = "0、登陆；1、激活")
    private Integer type;

    @ApiModelProperty(value = "设备序列号")
    private String deviceSn;

    @ApiModelProperty(value = "app版本号")
    private String appVersion;
}
