package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class PcbInfoVO {
    @ApiModelProperty(value = "PcbVersionInfoId")
    private Integer id;
    @ApiModelProperty(value = "版本编号")
    private String versionNum;
    @ApiModelProperty(value = "客户端编号")
    private String[] clientNum;
    @ApiModelProperty(value = "客户端名称集合")
    private String[] clientNames;
    @ApiModelProperty(value = "上传人名称")
    private String adminName;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "语言")
    private String[] language;
    @ApiModelProperty(value = "描述")
    private String[] description;


}
