package com.om.service;

import com.om.entity.dto.AppSecurityLogDTO;
import com.om.entity.dto.SecurityLogQueryPageDTO;
import com.om.entity.po.SecurityLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.SecurityLogQueryPageVO;
import com.om.utils.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-04-27
 */
public interface ISecurityLogService extends IService<SecurityLog> {

    Result updateLog(AppSecurityLogDTO dto);

    Result<SecurityLogQueryPageVO> getPageList(SecurityLogQueryPageDTO dto);
}
