package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-03-11
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AppInfo implements Serializable {

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    private long fileSize;

    @ApiModelProperty(value = "保存路径")
    private String url;

    @ApiModelProperty(value = "版本编号")
    private String version;

    @ApiModelProperty(value = "描述集合")
    private List<Describe> describeList;


}
