package com.om.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class AppUpdateVO {
    @ApiModelProperty(value = "文件大小")
    private long fileSize;

    @ApiModelProperty(value = "文件大小")
    private String fileName;

    @ApiModelProperty(value = "语言描述")
    private String description;

    @ApiModelProperty(value = "保存路径")
    private String url;

    @ApiModelProperty(value = "版本编号")
    private String version;

    @ApiModelProperty(value = "是否是强制更新")
    private String isUpdate;

}
