package com.om.entity.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

@Data
@NoArgsConstructor
public class BrandVO {
    @ApiModelProperty(value = "品牌id")
    private Integer id;

    @ApiModelProperty(value = "品牌代码")
    private String brandCode;

    @ApiModelProperty(value = "品牌中文名")
    private String brandCn;

    @ApiModelProperty(value = "品牌英文名")
    private String brandEn;

    @ApiModelProperty(value = "客户端id集合")
    private List<Integer> clientIds;

    @ApiModelProperty(value = "客户端名称集合")
    private List<String> clientNames;

    @ApiModelProperty(value = "客户端路径")
    private String clientPath;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
