package com.om.entity.vo;

import com.om.entity.po.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@NoArgsConstructor
public class UserAddVO extends User implements Serializable {
    @ApiModelProperty("登录token")
    public String loginToken;
    @ApiModelProperty("一页条数")
    Integer pageSize;
    @ApiModelProperty("页脚数")
    Integer pageIndex;

    @ApiModelProperty("vcisn")
    public List<String> vciSn;


}
