package com.om.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.om.entity.dto.AppDTO;
import com.om.entity.dto.GuidDTO;
import com.om.entity.po.AppsClients;
import com.om.entity.vo.AppUpdateVO;
import com.om.mapper.AppsClientsMapper;
import com.om.service.IAppVersionDescribeService;
import com.om.service.IAppsClientsService;
import com.om.service.IAppsDescService;
import com.om.utils.AesUtil;
import com.om.utils.Result;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 应用与客户关联表 服务实现类
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-12
 */
@Service
public class AppsClientsServiceImpl extends ServiceImpl<AppsClientsMapper, AppsClients> implements IAppsClientsService {


}
